Creates a new article stock location list

Request Information

URI Parameters :

None.

Body Parameters :

article_stock_location_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_stock_location_id

Foreign key of the article_stock_location

globally unique identifier

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location_reference_back_office

string

Optionally required : article_stock_location_id, article_stock_location_reference_back_office or article_stock_location must be provided

article_stock_location

Embedded entity "article_stock_location" using ERP PK when adding/updating

article_stock_location

Optionally required : article_stock_location_id,article_stock_location_reference_back_office or article_stock_location must be provided

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

quantity

Quantity in stock for this article, for this stock

integer

Required

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sys_computed_eco_stock

Quantity in stock computed for the article after all stock movements (Read-only)

decimal number
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "f6bc0c48-a48d-4a3e-b91c-a72145ae4aac",
  "article_stock_location_id": "9c7a2a63-a77b-4eff-81fd-d3ab8d1e1fda",
  "article_stock_location_reference_back_office": "sample string 3",
  "article_id": "33f556c0-822a-4f1b-a70c-0031a7b4bd32",
  "article_code": "sample string 5",
  "quantity": 6,
  "reference_back_office": "sample string 7",
  "sys_computed_eco_stock": 8.0,
  "modified_dateutc": "2026-05-04T17:02:04.3221768+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.